
@font-face {
    font-family: Daydream;
    src: url("../media/fonts/daydream_3/Daydream DEMO.otf") format("opentype");
}

@font-face {
    font-family: pixelOperator;
    src: url("../media/fonts/pixel_operator/PixelOperatorHB.ttf") format("truetype");
}

/*Paramètres du body, définit également le fond de l'écran principal*/
body{
    background: url("../media/gif/star.gif");
    color:white;
}

/*Centre une boite au milieu de la page sur une largeur de 1300px (Non responsive)*/
#wrapper{
    margin:auto;
    position:relative;
    width:1300px;
}

/*Crée une boite qui limiteras les boite en son intérieur*/
#flex-wrapper {
    width: 1200px;
    margin: auto !important;
}

/*Permet de créer une boite permettant de manière flexible (flex) plusieurs autres boites pour créer comme un grillage s'auto redimensionnant*/
#corps-flexible {
    display: flex;
    flex-direction: row;
    gap: 3px;
}

/*Paramètres d'une box basique pour sa taille et son emplacement*/
.box {
    background:url(../media/pictures/placeholder.png);
    background-size:cover;
    margin: 3px;
    box-sizing: border-box;
    border-width: 2px;
    border-style: outset;
    border-radius: 3px;
    position: relative;
    overflow: scroll;
    scrollbar-width: none;
}

/*Les PrettyBox sont des boites personnalisés, elles contiennent de la couleur, des paramètres de textes etc etc, aucune n'est identique*/
.prettyBoxC {
   background: blue;
   border-color: red;
}

.prettyBoxD {
    background: red;
    border-color: yellow;
}

.prettyBoxE {
    background: black;
    border: black 4px ridge;
}

.prettyBoxF {
    background: transparent;
    border: none;
}

.navBox{
    height: 30px;
    background: blue;
    color: white;
    font-family: Impact, Haettenschweiler, sans-serif;
    text-align: center;
}

.navBox:hover{
    background: green;
    border: none;
    font-family: Impact, Haettenschweiler, sans-serif;
    text-align: center;
}

/*PrettyBox*/

/*Text général pour le séparer du text du body*/
.generalText{
    font-size: 14px;
    text-shadow: 0 0 0;
}

/*Pour rendre une boite "flexible"*/
.flex {
    display: flex;
    flex-direction: row;
    gap: 3px;
}

/*Boite Main*/
.main {
    flex: 1;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 0%;
}

/*Animation lorsqu'un objet est survolé*/
.shake{
    transition: all .2s;
}
.shake:hover{
    scale:1.1;
    z-index:10000;
}
/*Animation lorsqu'un objet est survolé*/

h2{
    margin: 5px;
    text-align: center;
    font-family: Impact, Haettenschweiler, sans-serif;
}

h4.websiteLog {
    font-style: italic;
    font-size: 12px;
    text-align: center;
    color: white;
    font-family: Daydream;
}

h5.buttonsTitle{
    font-size: 12px;
    font-family: Daydream;
    margin: 8px;
    margin-bottom: 15px

}

h5.dateLog {
    font-style: italic;
    font-size: 10px;
    text-align: center;
    color: orange;
    font-family: Daydream;
    margin: 5px;
}

#siteLog {
    height: 180px;
    -ms-overflow-style: none;
    scrollbar-width: none;
    font-family: MS Gothic;
    font-size: 13px;
    text-align: justify;
    overflow: scroll;
}

.oneLog {
    padding-right: 5px;
    padding-left: 5px;
}

.marquee {
    display: inline-block;
    animation: marquee 10s linear infinite;
}

@keyframes marquee {
    from {
        transform: translateX(100%);
    }
    to {
        transform: translateX(-100%);
    }
}

.header {
    font-size: 35px;
    color: orangered;
    overflow: hidden;
    font-family: Daydream;
    white-space: nowrap;
    margin-top:0;
}

.introduction {
    font-size: 20px;
    color: white;
    text-align: justify;
    font-family: pixelOperator;
}

.introductionTitle {
    font-style: italic;
    text-decoration: underline dotted;
    margin-left:10px
}

h5.buttonsTitle, a, .rainbow_text_animated {
    background: linear-gradient(to right, #6666ff, #0099ff , #00ff00, #ff3399, #6666ff);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: rainbow_animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

@keyframes rainbow_animation {
    0%,100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}

/* bounce text start */
.bounce-text {
  font-weight: bold;
}

.bounce-text span {
  display: inline-block;
  animation: bounce 0.5s infinite ease-in-out;
}

.bounce-text span:nth-child(1) {
    animation-delay:0s;
}

.bounce-text span:nth-child(2) {
    animation-delay:0.1s;
}

.bounce-text span:nth-child(3) {
    animation-delay:0.2s;
}

.bounce-text span:nth-child(4) {
    animation-delay:0.3s;
}

.bounce-text span:nth-child(5) {
    animation-delay:0.4s;
}

.bounce-text span:nth-child(6){
    animation-delay:0.5;
}
.bounce-text span:nth-child(7){
    animation-delay:0.6s;
}
.bounce-text span:nth-child(8){
    animation-delay:0.7s;
}
.bounce-text span:nth-child(9){
    animation-delay:0.8s;
}
.bounce-text span:nth-child(10){
    animation-delay:0.9s;
}
.bounce-text span:nth-child(11){
    animation-delay:0.10s;
}
.bounce-text span:nth-child(12){
    animation-delay:0.11s;
}

@keyframes bounce {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-3px);
  }
}
/* bounce text end */

#Buttons {
    scrollbar-width: none;
    padding-top: 10px;
    padding-bottom: 10px;
    height: 200px;
    display: inline-flex;
    flex-direction: row;
    align-content: flex-start;
    flex-wrap: wrap;
    justify-content: center;
    background-image: url(../media/pictures/w98Cloud.webp);
}

#navigation {
    scrollbar-width: none;
    height: 200px;
    background-image: url(../media/pictures/w98Cloud.webp);
}

.oldButton > img {
    height: 31px;
    width: 88px;
}
